Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class OperationInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.OperationInfo

All Implemented Interfaces:
  Extensible

Direct Known Subclasses:
  UnwrappedOperationInfo

    public class OperationInfo

extends AbstractPropertiesHolder

Constructor Summary
`OperationInfo()`

Method Summary
`void` | `addFault(FaultInfo fault)` Adds a fault to this operation.
`FaultInfo` | `addFault(javax.xml.namespace.QName name, javax.xml.namespace.QName message)` Adds an fault to this operation.
`MessageInfo` | `createMessage(javax.xml.namespace.QName nm)`
`FaultInfo` | `getFault(javax.xml.namespace.QName name)` Returns the fault with the given name, if found.
`java.util.Collection<FaultInfo>` | `getFaults()` Returns all faults for this operation.
`MessageInfo` | `getInput()`
`java.lang.String` | `getInputName()`
`InterfaceInfo` | `getInterface()`
`javax.xml.namespace.QName` | `getName()` Returns the name of the Operation.
`MessageInfo` | `getOutput()`
`java.lang.String` | `getOutputName()`
`java.util.List<java.lang.String>` | `getParameterOrdering()`
`OperationInfo` | `getUnwrappedOperation()`
`boolean` | `hasFaults()`
`boolean` | `hasInput()`
`boolean` | `hasOutput()`
`boolean` | `isOneWay()`
`boolean` | `isUnwrapped()`
`boolean` | `isUnwrappedCapable()`
`void` | `removeFault(javax.xml.namespace.QName name)` Removes a fault from this operation.
`void` | `setInput(java.lang.String nm, MessageInfo in)`
`void` | `setName(javax.xml.namespace.QName name)` Sets the name of the operation.
`void` | `setOutput(java.lang.String nm, MessageInfo out)`
`void` | `setParameterOrdering(java.util.List<java.lang.String> o)`
`void` | `setUnwrappedOperation(OperationInfo op)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperty, getProperty, getTraversedExtensor, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperationInfo

    public OperationInfo()

Method Detail

### getName

    public javax.xml.namespace.QName getName()

  Returns the name of the Operation.

  Returns:
    the name of the Operation

### setName

    public final void setName(javax.xml.namespace.QName name)

  Sets the name of the operation.

  Parameters:
    `name` - the new name of the operation

### getInterface

    public InterfaceInfo getInterface()

### createMessage

    public MessageInfo createMessage(javax.xml.namespace.QName nm)

### getOutput

    public MessageInfo getOutput()

### getOutputName

    public java.lang.String getOutputName()

### setOutput

    public void setOutput(java.lang.String nm,
                          MessageInfo out)

### hasOutput

    public boolean hasOutput()

### getInput

    public MessageInfo getInput()

### getInputName

    public java.lang.String getInputName()

### setInput

    public void setInput(java.lang.String nm,
                         MessageInfo in)

### hasInput

    public boolean hasInput()

### isOneWay

    public boolean isOneWay()

### isUnwrappedCapable

    public boolean isUnwrappedCapable()

### getUnwrappedOperation

    public OperationInfo getUnwrappedOperation()

### setUnwrappedOperation

    public void setUnwrappedOperation(OperationInfo op)

### isUnwrapped

    public boolean isUnwrapped()

### addFault

    public FaultInfo addFault(javax.xml.namespace.QName name,
                              javax.xml.namespace.QName message)

  Adds an fault to this operation.

  Parameters:
    `name` - the fault name.

### addFault

    public void addFault(FaultInfo fault)

  Adds a fault to this operation.

  Parameters:
    `fault` - the fault.

### removeFault

    public void removeFault(javax.xml.namespace.QName name)

  Removes a fault from this operation.

  Parameters:
    `name` - the qualified fault name.

### getFault

    public FaultInfo getFault(javax.xml.namespace.QName name)

  Returns the fault with the given name, if found.

  Parameters:
    `name` - the name.
  Returns:
    the fault; or `null` if not found.

### hasFaults

    public boolean hasFaults()

### getFaults

    public java.util.Collection<FaultInfo> getFaults()

  Returns all faults for this operation.

  Returns:
    all faults.

### setParameterOrdering

    public void setParameterOrdering(java.util.List<java.lang.String> o)

### getParameterOrdering

    public java.util.List<java.lang.String> getParameterOrdering()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.